UMOCKDEV-RUN(1)

NAME
umockdev-run - Run a program under an umockdev testbed

DESCRIPTION

  Usage:

umockdev-run [OPTION?]
    -- program [args..]

Run a program under an umockdev testbed.

  Help Options:

-h, --help
    Show help options

  Application Options:

-d, --device=filename
    Load an umockdev-record device description into the testbed. Can be specified multiple times.

-i, --ioctl=devname=ioctlfilename
    Load an umockdev-record ioctl dump into the testbed. Can be specified multiple times.

-p, --pcap=sysfs=pcapfilename
    Load an pcap/pcapng USB dump into the testbed. Can be specified multiple times.

-s, --script=devname=scriptfilename
    Load an umockdev-record script into the testbed. Can be specified multiple times.

-u, --unix-stream=socket_path=scriptfilename
    Load an umockdev-record script for a mocked Unix stream socket. Can be specified multiple times.

-e, --evemu-events=devname=eventsfilename
    Load an evemu .events file into the testbed. Can be specified multiple times.

--version
    Output version information and exit